ChameleonMini RevE - Rebooted
=============================
| Linux & OSX CI     | Releases       |
| ------------------- |:-------------------:|
| [![Build Status](https://travis-ci.org/iceman1001/ChameleonMini-rebooted.svg?branch=master)](https://travis-ci.org/iceman1001/ChameleonMini-rebooted) | [![Latest release](https://img.shields.io/github/release/iceman1001/ChameleonMini-rebooted.svg)](https://github.com/iceman1001/ChameleonMini-rebooted/releases/latest) |

<img src="http://www.icedev.se/chameleon_mini_revE/miniRevE.jpg" width="300">

# Attribution LICENSE
"Based on the open-source NFC tool ChameleonMini: https://github.com/emsec/ChameleonMini" [License](https://github.com/iceman1001/ChameleonMini-rebooted/blob/master/LICENSE.txt)

*This is firmware for the revised, rebooted version of the ChameleonMini RevE Rebooted which so many of you bought.
The chinese manufacturer had its firmware changes to themself which was limiting for all who bought this device.
After talks with manufacturer, they also came to the conclusion that it should be open-sourced.  I managed to get source from them and agreed to make a public repository on GitHub.
Since this firmware isn't in the official ChameleonMini repo,  I decided to make a 'iceman fork' of it.*

## Notice
Let us make this fork awesome to play with. Do please play with it. Get excited and experiment with your enhanced ChameleonMini device!

## First Steps
This repo is focused on RevE Rebooted. Start with reading our [Wiki](https://github.com/iceman1001/ChameleonMini-rebooted/wiki).

### To upgrade the firmware of your ChameleonMini

For RevG owners, please visit the [Getting Started page](https://rawgit.com/emsec/ChameleonMini/master/Doc/Doxygen/html/_page__getting_started.html) from the [doxygen documentation](https://rawgit.com/emsec/ChameleonMini/master/Doc/Doxygen/html/index.html).

For RevE Rebooted owners, please start with our [Getting Started](https://github.com/iceman1001/ChameleonMini-rebooted/wiki/Getting-started)

## Supported Cards and Codecs
See [here](https://github.com/emsec/ChameleonMini/wiki/Supported-Cards-and--Codecs).

## GUI
Based on the partial source code release for the GUI, we created a new GUI [iceman's ChameleonMini rebootedGUI](https://github.com/iceman1001/ChameleonMini-rebootedGUI)
It is a windows .net based software and it is really nice to work with.
Has support for ChameleonMini revE / revG commands, dump management, color templates for dumps, and multilanguage.

## Questions
If you have any questions, please start with reading our [Wiki](https://github.com/iceman1001/ChameleonMini-rebooted/wiki).

The RFID hacking community discord server is a great place to discuss Chameleon Mini releated stuff among others [discord server](https://discord.gg/QfPvGFRQxH)

## Repository Structure
The code repository contains:
* Drivers: Chameleon drivers for Windows and Linux
* Firmware: The complete firmware including a modified Atmel DFU bootloader and LUFA
* Software: Contains a python tool for an easy configuration (and more) of the ChameleonMini, Note that this is currently under construction


## Perpetual glory!
A list of those who contributed to this repo in order to make it work. The community owns you all a deep and sincere thank you.
-  @bogiton
-  @doegox
-  @ceres-c
-  @iskuri
-  @shinhub / @securechicken
-  @McEloff


## Donate
If you feel the love,  do feel free to become a Iceman patron. For some tiers it comes with rewards https://www.patreon.com/iceman1001

All support is welcome.
